This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1310381 - RFE: gparted and luks
RFE: gparted and luks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-21 00:41 EST by Todd
Modified: 2016-05-07 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: gparted-0.26.0-3.fc23 gparted-0.26.0-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 10:54:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 627701 None None None 2016-02-25 18:41 EST

  None (edit)
Description Todd 2016-02-21 00:41:24 EST
Request for Enhancement:

Would you please add support for LUKS to gparted.  It would sure save me a lot of trouble!

Many thanks,
-T
Comment 1 Mukundan Ragavan 2016-02-22 20:44:18 EST
This is clearly a request for upstream developers ... Can you open an RFE at gnome bugzilla or would you prefer that I do that?
Comment 2 Todd 2016-02-22 21:55:35 EST
I would appreciate if you did it.  Would you post the link after you do?
Comment 3 Mukundan Ragavan 2016-02-22 21:59:09 EST
(In reply to Todd from comment #2)
> I would appreciate if you did it.  Would you post the link after you do?

certainly!
Comment 4 Mike Fleetwood 2016-02-25 16:46:40 EST
LUKS support is already *SLOWLY* being added to GParted.  It is on it's
second attempt.  It is a large undertaking for a spare time hobby.
There are no promises and no timescales.  See the following upstream
bug:

Bug 627701 - option to encrypt new partitions (using LUKS)
https://bugzilla.gnome.org/show_bug.cgi?id=627701#c48

Thanks,
Mike Fleetwood (GParted Developer)
Comment 5 Mukundan Ragavan 2016-02-25 18:41:14 EST
Thanks for the reply, Mike!

I want to close the bug as UPSTREAM but will probably get lost, so setting ASSIGNED.
Comment 6 Fedora Update System 2016-04-28 22:09:36 EDT
gparted-0.26.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d732a1264d
Comment 7 Fedora Update System 2016-04-29 13:22:04 EDT
gparted-0.26.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d732a1264d
Comment 8 Todd 2016-04-29 22:26:44 EDT
I posted this over on the feedback site:

SL 7.2

rpmbuild --rebuild gparted-0.25.0-4.fc24.src.rpm
Installing gparted-0.25.0-4.fc24.src.rpm
...
error: parse error in expression
error: /home/CDs/Linux/Wine/SL7/rpmbuild/SPECS/gparted.spec:78: bad %if condition
Comment 9 Mukundan Ragavan 2016-04-30 12:58:43 EDT
(In reply to Todd from comment #8)
> I posted this over on the feedback site:
> 
> SL 7.2
> 
> rpmbuild --rebuild gparted-0.25.0-4.fc24.src.rpm
> Installing gparted-0.25.0-4.fc24.src.rpm
> ...
> error: parse error in expression
> error: /home/CDs/Linux/Wine/SL7/rpmbuild/SPECS/gparted.spec:78: bad %if
> condition

Come on! This is not really applicable here .. This is a fedora update.
Comment 10 Fedora Update System 2016-04-30 15:13:34 EDT
gparted-0.26.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b14b1d057
Comment 11 Fedora Update System 2016-04-30 15:13:40 EDT
gparted-0.26.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-60c8eefe8d
Comment 12 Todd 2016-04-30 19:29:43 EDT
(In reply to Mukundan Ragavan from comment #9)
> (In reply to Todd from comment #8)
> > I posted this over on the feedback site:
> > 
> > SL 7.2
> > 
> > rpmbuild --rebuild gparted-0.25.0-4.fc24.src.rpm
> > Installing gparted-0.25.0-4.fc24.src.rpm
> > ...
> > error: parse error in expression
> > error: /home/CDs/Linux/Wine/SL7/rpmbuild/SPECS/gparted.spec:78: bad %if
> > condition
> 
> Come on! This is not really applicable here .. This is a fedora update.

So, what goes on in Vegas stays in Vegas?  Doesn't apply to Fedora as EL Linux is always some outdated version of Fedora.  What goes on in Fedora eventually winds up in RHEL.

Probably be a good idea to check "spec:78: bad %if condition" to see if there is an error.  I would, but it is over my head.
Comment 13 Todd 2016-04-30 19:55:37 EDT
(In reply to Fedora Update System from comment #10)
> gparted-0.26.0-3.fc23 has been submitted as an update to Fedora 23.
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b14b1d057

Is this it?

http://dl.fedoraproject.org/pub/fedora/linux/releases/23/Everything/source/SRPMS/g/gparted-0.23.0-3.fc23.src.rpm
Comment 14 Fedora Update System 2016-05-01 13:54:54 EDT
gparted-0.26.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-60c8eefe8d
Comment 15 Mukundan Ragavan 2016-05-01 20:06:19 EDT
(In reply to Todd from comment #12)
> (In reply to Mukundan Ragavan from comment #9)
> > (In reply to Todd from comment #8)
> > > I posted this over on the feedback site:
> > > 
> > > SL 7.2
> > > 
> > > rpmbuild --rebuild gparted-0.25.0-4.fc24.src.rpm
> > > Installing gparted-0.25.0-4.fc24.src.rpm
> > > ...
> > > error: parse error in expression
> > > error: /home/CDs/Linux/Wine/SL7/rpmbuild/SPECS/gparted.spec:78: bad %if
> > > condition
> > 
> > Come on! This is not really applicable here .. This is a fedora update.
> 
> So, what goes on in Vegas stays in Vegas?  Doesn't apply to Fedora as EL
> Linux is always some outdated version of Fedora.  What goes on in Fedora
> eventually winds up in RHEL.
> 
> Probably be a good idea to check "spec:78: bad %if condition" to see if
> there is an error.  I would, but it is over my head.


Sigh!

My point was - use a separate bug for EPEL and Fedora! :(

In any case, please see https://bugzilla.redhat.com/show_bug.cgi?id=1331917

The %if conditional (which had a mistake) is now removed. the package will build on epel-7.
Comment 16 Fedora Update System 2016-05-01 20:52:55 EDT
gparted-0.26.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b14b1d057
Comment 17 Fedora Update System 2016-05-05 10:54:30 EDT
gparted-0.26.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Todd 2016-05-06 21:32:53 EDT
Anyone know where I can find fc23's srpm?
Comment 19 Todd 2016-05-06 23:17:15 EDT
(In reply to Todd from comment #18)
> Anyone know where I can find fc23's srpm?

Found it:
http://fedora.osuosl.org/linux/updates/23/SRPMS/g/
Comment 20 Fedora Update System 2016-05-07 07:44:45 EDT
gparted-0.26.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Todd 2016-05-07 20:44:44 EDT
And chance of you guys compiling 0.26 for RHEL 7?

https://bugzilla.redhat.com/show_bug.cgi?id=1334007

Note You need to log in before you can comment on or make changes to this bug.